@import "variables/vars";

.container {
	box-shadow: rgba(0, 0, 0, 0.15) 0px 9px 10px 0px;
	border-radius: 35px;
	margin: 2em;
	background-color: $light_bg;
}
.loginContainer {
	padding: 2em;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.bordered {
	border-right: 2px solid rgba(0, 0, 0, 0.2);
}
@media (max-width: 768px) {
	.bordered {
		border-right: 0;
		border-top: 2px solid rgba(0, 0, 0, 0.2);
	}
}

.form__group {
	position: relative;
	padding: 15px 0 0;
	margin-top: 10px;
	width: 50%;
}

.form__field {
	// font-family: inherit;
	width: 100%;
	border: 0;
	border-bottom: 2px solid $blue;
	outline: 0;
	font-size: 1.3rem;
	color: $dark_bg;
	padding: 10px 0 0;
	background: transparent;
	transition: border-color 0.2s;
	&::placeholder {
		color: transparent;
	}

	&:placeholder-shown ~ .form__label {
		font-size: 1.3rem;
		cursor: text;
		top: 20px;
	}
}

.form__label {
	position: absolute;
	top: 0;
	display: block;
	transition: 0.2s;
	font-size: 1rem;
	color: $dark_bg;
	// padding-top: 10px;
}

.form__field:focus {
	~ .form__label {
		position: absolute;
		top: 0;
		display: block;
		transition: 0.2s;
		font-size: 1rem;
		color: $dark_bg;
		font-weight: 700;
	}
	// padding-bottom: 6px;
	font-weight: 700;
	border-width: 3px;
	border-image: linear-gradient(to right, $blue, $blue);
	border-image-slice: 1;
}
/* reset input */
.form__field {
	&:required,
	&:invalid {
		box-shadow: none;
	}
}
// body {
// 	background-color: $dark_bg;
// }
@media (max-width: 570px) {
	.container {
		margin: 0.75em;
	}
	.form__label {
		font-size: 0.7rem;
	}
	.form__field:focus {
		~ .form__label {
			font-size: 0.9rem;
		}
	}
	.form__field {
		font-size: 0.7rem;

		&:placeholder-shown ~ .form__label {
			font-size: 0.9rem;
		}
	}
}

.switchContainer {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	margin-top: 1em;
	span {
		margin: 0 0.75em;
	}
}
// .bgImage {
// 	background-image: url("/login.jpg");
// 	background-repeat: no-repeat;
// 	background-size: cover;
// }
